#include "debug.h"
#include "string.h"
#include "ch32v30x_usbhs_device.h"

/* Global define */

/* Global Variable */

/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *   24bit 8KHz  ÿδ32ֽ  ϵͳ޷ʹ˷
 *
 * @return  none
 */
int main(void)
{
    u8 i = 0;

    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    SystemCoreClockUpdate();
    Delay_Init();
    USART_Printf_Init(921600);
    printf("SystemClk:%d\r\n", SystemCoreClock);
    printf( "ChipID:%08x\r\n", DBGMCU_GetCHIPID() );
    printf("USB TEST\r\n");

    USBHS_RCC_Init();
    USBHS_Device_Init(ENABLE);
    Delay_Ms(100);

    while(1){
        /*for (i = 0; i < 16; i++)
        {
            USBHS_EP1_TX_Buf[i] = 0;
        }
        //USBHSD_UEP_TLEN(DEF_UEP1) = 32;
        //USBHSD_UEP_TXCTRL(DEF_UEP1) = USBHSD_UEP_TXCTRL(DEF_UEP1) | USBHS_UEP_T_RES_NYET;
        //USBHSD_UEP_TXCTRL(DEF_UEP1) = ( USBHSD_UEP_TXCTRL(DEF_UEP1) &= ~USBHS_UEP_T_RES_MASK ) | USBHS_UEP_T_RES_ACK;

        //USBHSD->UEP1_TX_DMA=32;
        USBHSD->UEP1_TX_LEN=16;
        USBHSD->UEP1_TX_CTRL = 0;*/
        Delay_Ms(1);
    }
}
